TestForteCCCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.sun.TestForteCCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.sun
Class TestForteCCCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.sun.TestForteCCCompiler

All Implemented Interfaces:
  junit.framework.Test

    public class TestForteCCCompiler

extends junit.framework.TestCase

Test Sun Forte compiler adapter

Constructor Summary
`TestForteCCCompiler(java.lang.String name)`

Method Summary
`void` | `testBidAssembly()`
`void` | `testBidC()`
`void` | `testBidCpp()`
`void` | `testBidCpp2()`
`void` | `testBidCpp3()`
`void` | `testBidCpp4()`
`void` | `testBidCpp5()`
`void` | `testBidPreprocessed()`
`void` | `testWarningLevel0()` Tests command line switches for warning = 0
`void` | `testWarningLevel1()` Tests command line switches for warning = 1
`void` | `testWarningLevel2()` Tests command line switches for warning = 2
`void` | `testWarningLevel3()` Tests command line switches for warning = 3
`void` | `testWarningLevel4()` Tests command line switches for warning = 4
`void` | `testWarningLevel5()` Tests command line switches for warning = 5

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestForteCCCompiler

    public TestForteCCCompiler(java.lang.String name)

Method Detail

### testBidC

    public void testBidC()

### testBidCpp

    public void testBidCpp()

### testBidCpp2

    public void testBidCpp2()

### testBidCpp3

    public void testBidCpp3()

### testBidCpp4

    public void testBidCpp4()

### testBidCpp5

    public void testBidCpp5()

### testBidPreprocessed

    public void testBidPreprocessed()

### testBidAssembly

    public void testBidAssembly()

### testWarningLevel0

    public void testWarningLevel0()

  Tests command line switches for warning = 0

### testWarningLevel1

    public void testWarningLevel1()

  Tests command line switches for warning = 1

### testWarningLevel2

    public void testWarningLevel2()

  Tests command line switches for warning = 2

### testWarningLevel3

    public void testWarningLevel3()

  Tests command line switches for warning = 3

### testWarningLevel4

    public void testWarningLevel4()

  Tests command line switches for warning = 4

### testWarningLevel5

    public void testWarningLevel5()

  Tests command line switches for warning = 5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.